# $Revision: 1.10 $, $Date: 2004/02/01 00:42:05 $
Summary:	Cross AVR GNU binary utility development utilities - binutils
Summary(es):	Utilitarios para desarrollo de binarios de la GNU - AVR binutils
Summary(fr):	Utilitaires de dveloppement binaire de GNU - AVR binutils
Summary(pl):	Skrone narzdzia programistyczne GNU dla AVR - binutils
Summary(pt_BR):	Utilitrios para desenvolvimento de binrios da GNU - AVR binutils
Summary(tr):	GNU gelitirme aralar - AVR binutils
Name:		crossavr-binutils
Version:	2.14.90.0.8
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
# Source0-md5:	3e28792a585e14b57838cd24130a24dd
URL:		http://sources.redhat.com/binutils/
BuildRequires:	bash
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	perl-devel
%ifarch sparc sparc32
BuildRequires:	sparc32
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		avr
%define		arch		%{_prefix}/%{target}

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- c++filt - a filter for demangling encoded C++ symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

This package contains the cross version for Atmel AVR.

%description -l pl
Pakiet binutils zawiera zestaw narzdzi umoliwiajcych kompilacj
programw. Znajduj si tutaj midzy innymi assembler, konsolidator
(linker), a take inne narzdzia do manipulowania binarnymi plikami
programw i bibliotek.

Ten pakiet zawiera wersj skron generujc kod dla Atmel AVR.

%prep
%setup -q -n binutils-%{version}

%build
# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
%ifarch sparc
sparc32 \
%endif
./configure \
	--disable-shared \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--target=%{target}

%{__make} all \
	tooldir=%{_prefix} \
	EXEEXT=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{target}-*
%dir %{arch}/bin
%attr(755,root,root) %{arch}/bin/*
%dir %{arch}/lib
%dir %{arch}/lib/*
%{arch}/lib/*/*
%{_mandir}/man?/%{target}-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossavr-binutils.spec,v $
Revision 1.10  2004/02/01 00:42:05  undefine
- update to 2.14.90.0.8

Revision 1.9  2004/01/13 14:13:07  qboosh
- fixed URL, cleanups

Revision 1.8  2003/12/27 15:26:28  undefine
- update to 2.14.90.0.7

Revision 1.7  2003/08/29 23:30:32  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.6  2003/08/06 16:51:35  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.5  2003/05/26 16:24:50  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:46:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/10/04 14:11:04  wiget
- 2.13.90.0.4

Revision 1.2  2002/03/12 23:09:59  wojtekka
- added ldscripts.

Revision 1.1  2002/03/12 22:08:37  wojtekka
- initial release based on crossmipsel-*.spec. works fine.
